summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorChris <xchrisx@uber.space>2020-03-28 20:38:24 +0100
committerTDE Gitea <gitea@mirror.git.trinitydesktop.org>2020-03-29 11:43:34 +0000
commit2bd9a5a4b5cd54d9b1446b275bc6b6baec05e426 (patch)
tree82ef265c10edb16e2739c1d086aef30465df8b53
parent762c1fafb95fec01ec851decc6250f449b827bb3 (diff)
downloadtde-packaging-gentoo-2bd9a5a4.tar.gz
tde-packaging-gentoo-2bd9a5a4.zip
Live ebuilds: Add preliminary `KStreamripper` ebuild.
Signed-off-by: Chris <xchrisx@uber.space>
-rw-r--r--trinity-apps/kstreamripper/kstreamripper-9999.ebuild30
1 files changed, 30 insertions, 0 deletions
diff --git a/trinity-apps/kstreamripper/kstreamripper-9999.ebuild b/trinity-apps/kstreamripper/kstreamripper-9999.ebuild
new file mode 100644
index 00000000..cdf49b1a
--- /dev/null
+++ b/trinity-apps/kstreamripper/kstreamripper-9999.ebuild
@@ -0,0 +1,30 @@
+# Copyright 2020 The Trinity Desktop Project
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="7"
+TRINITY_MODULE_TYPE="applications"
+
+TRINITY_EXTRAGEAR_PACKAGING="yes"
+TRINITY_HANDBOOK="optional"
+
+TRINITY_LANGS="de"
+
+inherit trinity-base-2
+
+DESCRIPTION="TDE frontend for streamripper"
+HOMEPAGE="http://trinitydesktop.org/"
+LICENSE="|| ( GPL-2 GPL-3 )"
+
+need-trinity
+
+SLOT="${TRINITY_VER}"
+
+RDEPEND+=" media-sound/streamripper"
+
+src_configure() {
+ mycmakeargs=(
+ -DBUILD_TRANSLATIONS=ON
+ )
+
+ trinity-base-2_src_configure
+} \ No newline at end of file